Post Reply

[Q] JB vs KK bootloaders and ROMs (Mot xt926)

OP duffme

20th July 2014, 12:52 AM   |  #1  
OP Junior Member
Thanks Meter: 0
 
2 posts
Join Date:Joined: Dec 2012
I think I understand what's happening, but what I've read isn't clear. I have updated to KK in order to unlock the bootloader on my Motorola RAZR HD xt926. That all went fine. I've been using both CWM 6049 and TWRP 2710. I've tried flashing several ROM versions of Cyanogen and SlimKat and they all end up boot looping (hang at the red M). There are no errors during flashing. The only ROMs that will boot are Cyanogenmod nightlies after M8. Those nightlies, however, have issues (notably no GPS). Several others seem to have the same problems, but many are running these builds fine. If I (finally) understand correctly the stock KK update also updates the bootloader to a KK bootloader and there is no way to downgrade the bootloader. The post-M8 nightlies of CM can use the KK bootloader, but all else needs the earlier JB bootloader. Basically I'm wondering if I'm just stuck in a "too new" are and have to wait until KK bootloader compatible ROMs are available. Does this sound correct? Or can I just downgrade the bootloader to flash Cyanogenmod and Slimkat stable builds? Thanks in advance!
--Mike
20th July 2014, 07:42 PM   |  #2  
bweN diorD's Avatar
Senior Member
Thanks Meter: 662
 
1,548 posts
Join Date:Joined: Jun 2011
More
Quote:
Originally Posted by duffme

I think I understand what's happening, but what I've read isn't clear. I have updated to KK in order to unlock the bootloader on my Motorola RAZR HD xt926. That all went fine. I've been using both CWM 6049 and TWRP 2710. I've tried flashing several ROM versions of Cyanogen and SlimKat and they all end up boot looping (hang at the red M). There are no errors during flashing. The only ROMs that will boot are Cyanogenmod nightlies after M8. Those nightlies, however, have issues (notably no GPS). Several others seem to have the same problems, but many are running these builds fine. If I (finally) understand correctly the stock KK update also updates the bootloader to a KK bootloader and there is no way to downgrade the bootloader. The post-M8 nightlies of CM can use the KK bootloader, but all else needs the earlier JB bootloader. Basically I'm wondering if I'm just stuck in a "too new" are and have to wait until KK bootloader compatible ROMs are available. Does this sound correct? Or can I just downgrade the bootloader to flash Cyanogenmod and Slimkat stable builds? Thanks in advance!
--Mike

you can flash back to JB and use the JB based roms.
there is a guide in my sig with instructions and files to use, just skip down to the relevant parts.
27th July 2014, 08:08 AM   |  #3  
OP Junior Member
Thanks Meter: 0
 
2 posts
Join Date:Joined: Dec 2012
Thumbs up
Quote:
Originally Posted by bweN diorD

you can flash back to JB and use the JB based roms.
there is a guide in my sig with instructions and files to use, just skip down to the relevant parts.

Thanks for the clarification @bweN diorD. I had actually done that to re-flash the KK images, thinking I might have missed something. Looks like I had given up one step too soon. I'm now happily unlocked and rooted and running a stable CM11 M8.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Top Threads in Questions and Answers by ThreadRank